Support » Plugin: AMP for WP - Accelerated Mobile Pages » Avoid relying on allow_url_fopen

  • Can you please update the plugin to not rely on allow_url_fopen? It’s often disabled for security reasons, it’s throwing a ton of errors:

    [24-Feb-2020 19:33:08 UTC] PHP Warning: get_headers(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 in /home/USERNAME/public_html/wp-content/plugins/accelerated-mobile-pages/templates/features.php on line 7788

    [24-Feb-2020 19:33:08 UTC] PHP Warning: get_headers(): This function may only be used against URLs in /home/USERNAME/public_html/wp-content/plugins/accelerated-mobile-pages/templates/features.php on line 7788

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Ahmed Kaludi

    (@ahmedkaludi)

    We checked your issue. We have fixed this issue already. Can you please tell me which version are you used for this plugin?

    Thread Starter gmariani405

    (@gmariani405)

    I double checked the logs/history and this is what I determined:
    It was running v1.0.23 until Feb 24 01:53pm when it was upgraded to v1.0.29. At Feb 24 2:33pm, it threw the errors I posted about above. Then at Feb 25 10:03am, it was upgraded to v1.0.30.

    So unless it was fixed in v1.0.30 it may still apply.

    Plugin Author Ahmed Kaludi

    (@ahmedkaludi)

    Can you share the error log file so that we can see and help you fix it for you?

    Thread Starter gmariani405

    (@gmariani405)

    I did, that’s what those two lines are copied from in my original post.

    Plugin Author Ahmed Kaludi

    (@ahmedkaludi)

    Can you please tell me after updating versions like v1.0.29,v1.0.30 are you getting any new errors on your error log file?

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Avoid relying on allow_url_fopen’ is closed to new replies.